// creator  : weidu.exe (version 23100)
// argument : IRON14.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~IRON14~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7618 /* ~Improved Mantle (Abjuration) 
Level: 8
Range: 0
Duration: 4 rounds
Casting Time: 1
Area of Effect: Caster
Saving Throw: None 

When the spell is cast it confers complete invulnerability to all weapons except for those of +4 or better enchantment.  This spell is incredibly powerful hence the duration is so short.  However, the casting time is also very short making this spell incredibly useful in the thick of combat where buying a few seconds can mean the difference between life or death.  It is important to note that this spell does not work in combination with protection from magic weapons.  This spell lasts for the duration or until dispelled.~ */
  IF ~ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN REPLY #7626 /* ~Very well. We shall make our way to your father's home with all haste.~ */ GOTO 1
  IF ~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN REPLY #7627 /* ~Do what you will. I care not.~ */ GOTO 2
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #7628 /* ~I must discover the truth about this murder. Let us go.~ */ GOTO 3
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #7629 /* ~Your answer does not suffice. You will accompany me to discover the truth about my sister's murder. Fail at this and I shall leave you to the darkness that engulfs you.~ */ GOTO 4
  IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN REPLY #7630 /* ~Very well. We shall make our way to your father's home with all haste.~ */ GOTO 5
  IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN REPLY #7631 /* ~Do what you will. I care not.~ */ GOTO 6
  IF ~~ THEN REPLY #7632 /* ~This is one of the few times that I actually require company and you abandon me. False friend! I cast you from my memory! You are nothing to me and shall remain nothing evermore.~ */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #7619 /* ~Absolute Immunity~ */
  IF ~~ THEN DO ~TakePartyGold(100)
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #7620 /* ~Absolute Immunity (Abjuration) 
Level: 9
Range: 0
Duration: 4 rounds
Casting Time: 1
Area of Effect: Caster
Saving Throw: None 

When the spell is cast, it confers complete invulnerability to all weapons except for those of greater than +5 enchantment.  This spell is incredibly powerful, hence the short duration.  However the casting time is also very short making this spell incredibly useful in the thick of combat where buying a few seconds can mean the difference between life or death.  It is important to note that this spell does not work in combination with protection from magic weapons.  This spell lasts for the duration or until dispelled.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #7621 /* ~Death Fog~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #7622 /* ~Death Fog (Evocation) 
Level: 6
Range: 10 yards 
Duration: 1 turn
Casting Time: 6
Area of Effect: 30' radius
Saving Throw: None 

The casting of a death fog spell creates an area of solid fog that has the additional property of being highly acidic.  All animal life not immune to acid suffers 8 points of damage for each round they are exposed to the vapors of the death fog.  Death fog will also instantly kill all summoned creatures, regardless of hit dice or immunities.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.4
  SAY #7623 /* ~We have had a troubled season, and strangers of indeterminate nature are a potential threat until they prove otherwise. I am Lord Logan Coprith, High Merchant.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 0.5
  SAY #7624 /* ~If you find value in doing that which is righteous, you will go to my home. Do not and I shall leave you to the evil that engulfs you.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.6
  SAY #7625 /* ~I greet you with weapons ready, for I distrust your manner. We are wary of strangers, especially ones equipped as you. I am Lord Logan Coprith, High Merchant.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 8 // from:
  SAY #7633 /* ~My sister's body rots in the uncaring earth while you wander aimlessly. I must return to my home immediately so that my sister can be properly mourned.~ [ANOMENA1] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #9220 /* ~Ah, my sweet Vesper. How is your schoolwork coming?  The priests are still kind to you for my sake?~ [KELDOR89] */
  IF ~~ THEN EXIT
END
